/* Custom scanning overlay styles */
#custom-scanning-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 10;
    background: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(10px);
    mask-image: radial-gradient(
      circle,
      transparent 65%,
      rgba(0, 0, 0, 1) 36%
    );
    -webkit-mask-image: radial-gradient(
      circle,
      transparent 65%,
      rgba(0, 0, 0, 1) 36%
    );
    display: none; /* Hidden initially */
  }
  
  /* Clear square border */
  #clear-square {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 60%;
    height: 60%;
    pointer-events: none;
    /*border: 3px solid white;*/
    /*border-radius: 50%;*/
  }
  
  /* Message below the square */
  #marker-message {
    font-size: 1.2rem;
    color: white;
    position: absolute;
    bottom: 20px;
    width: 100%;
    text-align: center;
  }
  